Bug 130505 - oops triggered by udev
oops triggered by udev
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 130007
  Show dependency treegraph
 
Reported: 2004-08-20 16:38 EDT by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 14:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-08-20 16:38:52 EDT
Seems to happen across all arches and fairly often during early boot.

This is from my laptop since it's the easiest to get it from
Aug 20 15:46:54 bree kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Aug 20 15:46:54 bree kernel:  printing eip:
Aug 20 15:46:54 bree kernel: 0214659c
Aug 20 15:46:54 bree kernel: *pde = 00000000
Aug 20 15:46:54 bree kernel: Oops: 0000 [#1]
Aug 20 15:46:54 bree kernel: Modules linked in:
Aug 20 15:46:54 bree kernel: CPU:    0
Aug 20 15:46:54 bree kernel: EIP:    0060:[<0214659c>]    Not tainted
Aug 20 15:46:54 bree kernel: EFLAGS: 00010046   (2.6.8-1.524)
Aug 20 15:46:54 bree kernel: EIP is at kmem_cache_alloc+0x25/0x4c
Aug 20 15:46:54 bree kernel: eax: 00000000   ebx: 000000d0   ecx:
00000000   edx: 29ee9000
Aug 20 15:46:54 bree kernel: esi: 00000246   edi: 00000000   ebp:
feef8688   esp: 29ee9f24
Aug 20 15:46:54 bree kernel: ds: 007b   es: 007b   ss: 0068
Aug 20 15:46:54 bree kernel: Process udev (pid: 31,
threadinfo=29ee9000 task=0361d2a0)
Aug 20 15:46:54 bree kernel: Stack: feef8688 29e8eb80 00000000
02177fc0 00000007 29ea3780 0215f2b5 036306d8
Aug 20 15:46:54 bree kernel:        29ee9f58 00000042 29e8f000
29ee9000 0215f1cf 036306d8 29ea3780 f9328701
Aug 20 15:46:54 bree kernel:        29e8f005 00000009 00000300
00000000 00000000 00001000 080bfe60 29e8f000
Aug 20 15:46:54 bree kernel: Call Trace:
Aug 20 15:46:54 bree kernel:  [<02177fc0>] fcntl_setlk+0x13/0x219
Aug 20 15:46:54 bree kernel:  [<0215f2b5>] dentry_open+0xe0/0x180
Aug 20 15:46:54 bree kernel:  [<0215f1cf>] filp_open+0x36/0x3c
Aug 20 15:46:54 bree kernel:  [<0217404c>] do_fcntl+0x1be/0x207
Aug 20 15:46:54 bree kernel:  [<0217415b>] sys_fcntl64+0x6c/0x7d
Aug 20 15:46:54 bree kernel: Code: 8b 17 8b 02 85 c0 74 10 c7 42 0c 01
00 00 00
48 89 02 8b 44
Comment 2 Sammy 2004-08-23 09:35:17 EDT
kernel 1.526 got rid of the Oops in my case! 
Comment 3 Jeremy Katz 2004-08-23 16:57:39 EDT
Should be fixed with 1.526 and later.
Comment 4 Jay Turner 2004-09-14 14:45:01 EDT
Closing out, as no longer present in the most recent trees.

Note You need to log in before you can comment on or make changes to this bug.